# Class RandomDotOrgSeedGenerator

java.lang.Object
org.uncommons.maths.random.RandomDotOrgSeedGenerator

All Implemented Interfaces:
  `SeedGenerator`

public class RandomDotOrgSeedGenerator extends Object implements SeedGenerator
Connects to the random.org website (via HTTPS) and downloads a set of random bits to use as seed data. It is generally better to use the `DevRandomSeedGenerator` where possible, as it should be much quicker. This seed generator is most useful on Microsoft Windows and other platforms that do not provide /dev/random.

## Constructor Summary

Constructors
Constructor
Description
`RandomDotOrgSeedGenerator()`

## Method Summary

Modifier and Type
Method
Description
`byte[]`
`generateSeed(int length)`
Generate a seed value for a random number generator.
`String`
`toString()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### RandomDotOrgSeedGenerator

public RandomDotOrgSeedGenerator()

## Method Details

### generateSeed

public byte[] generateSeed(int length) throws SeedException
Generate a seed value for a random number generator.

Specified by:
  `generateSeed` in interface `SeedGenerator`
Parameters:
  `length` - The length of the seed to generate (in bytes).
Returns:
  A byte array containing the seed data.
Throws:
  `SeedException` - If a seed cannot be generated for any reason.

### toString

public String toString()

Overrides:
  `toString` in class `Object`